Subject: Re: bug#15478: cc-mode does not obey electric-indent-mode

From: Josh <[email-masked]>
Date: Thu, 10 Oct 2013 12:11:25 -0700

On Wed, Oct 9, 2013 at 10:32 AM, Alan Mackenzie <[email-masked]> wrote:
> This is getting tiresome.  The variable `c-electric-flag', strictly
> speaking, isn't documented, but the command whose entire purpose is to
> set it is fully documented in the CC Mode manual (have you read this
> yet?) in the chapter directed at newbies.  Not only is it documented, it
> is present in the Emacs menu under C/toggle/electric mode, a place
> newbies are likely to look.  I think most of them will be able to guess
> what "electric mode" means, and if not, they are likely to try it out to
> see if it helps.

I have read the manual and found no mention of how to permanently
disable the behavior, which is why in the end I was forced to read the
source to find a solution.  At any rate I agree that this has become
tiresome and I'll not belabor the point any further.